
Redmine - Defect #13744

Redmine hangs up with large repo

2013-04-11 16:22 - Antisthens Antisthens

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.3

Description

Hi

I have redmine install on my laptop(details in ENV information).

two git repos are created.

one is small, clone from : https://github.com/avikivity/kvm-unit-tests.git, redmine works well on this repo.

another one is the linux kernel source. clone from : https://github.com/torvalds/linux.git

everytime I click the kernel repo. redmine hangs up, can not stop redmine by Ctrl-C even.

I noticed process ruby and git 'eat' lot of cpu:

top - 14:10:14 up 55 min,  7 users,  load average: 0.45, 0.35, 0.52

Tasks: 208 total,   2 running, 206 sleeping,   0 stopped,   0 zombie

%Cpu(s): 33.7 us,  2.1 sy,  0.0 ni, 63.6 id,  0.0 wa,  0.3 hi,  0.3 si,  0.0 st

KiB Mem:   7924224 total,  3613880 used,  4310344 free,   136260 buffers

KiB Swap: 10158076 total,        0 used, 10158076 free,  1819648 cached

  PID USER      PR  NI  VIRT  RES  SHR S  %CPU %MEM    TIME+  COMMAND                             

                                                            

 4925 antisthe  20   0 1004m 329m 6508 S  99.6  4.3   0:24.28 ruby                                

                                                            

 5327 antisthe  20   0 1328m 680m 354m S  33.2  8.8   0:08.82 git                                 

                                                            

[antisthens@ ~]$ ps -aef | egrep "ruby|git" 

1000      4925  4924 11 13:57 pts/1    00:01:34 ruby /home/antisthens/Workspace/redmine-2.2.3/scri

pt/rails server webrick -e production

1000      5327  4925 30 14:09 pts/1    00:00:27 git --git-dir /home/antisthens/Workspace/redmine-2

.2.3/repositories/git/linux/.git -c core.quotepath=false -c log.decorate=no log --no-color --encod

ing=UTF-8 --raw --date=iso --pretty=fuller --parents --stdin --reverse

 after about 3 minutes. the git process is gone,but redmine still response-less:

top - 14:16:00 up  1:01,  7 users,  load average: 1.18, 0.91, 0.73

Tasks: 207 total,   2 running, 205 sleeping,   0 stopped,   0 zombie

%Cpu(s): 26.4 us,  0.7 sy,  0.0 ni, 72.2 id,  0.4 wa,  0.2 hi,  0.2 si,  0.0 st

KiB Mem:   7924224 total,  4071796 used,  3852428 free,   137080 buffers

KiB Swap: 10158076 total,        0 used, 10158076 free,  1818012 cached

  PID USER      PR  NI  VIRT  RES  SHR S  %CPU %MEM    TIME+  COMMAND                             

                                                            

 4925 antisthe  20   0 1714m 1.0g 6508 S  96.3 13.6   6:02.62 ruby                                

                                                            

 1811 mysql     20   0  598m  52m 5116 S   3.3  0.7   0:26.40 mysqld                              

                                                            

 2101 antisthe  20   0 1997m 201m  35m S   3.0  2.6   2:40.40 gnome-shell                         

                                                            

 2665 antisthe  20   0 1620m 318m  43m S   2.7  4.1   4:44.72 firefox                             
https://github.com/avikivity/kvm-unit-tests.git
https://github.com/torvalds/linux.git


[antisthens@ ~]$ ps -aef | egrep "git|ruby" 

1000      4925  4924 30 13:57 pts/1    00:05:10 ruby /home/antisthens/Workspace/redmine-2.2.3/scri

pt/rails server webrick -e production

 by google, seems there is performance issue in git itself,(in my case, the git command take about 3 minutes). wonder if redmine can

back to normal status after the git command without restart?

Tons of thanks.

========== ENV information ============

HW Information:

Dell latitude E6420

OS Information:

Fedora 18 x86_64

redmine Information:

Environment:

  Redmine version                          2.2.3.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.12

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  no plugin installed

git Information

git-1.8.1.4-2.fc18.x86_64

Related issues:

Related to Redmine - Defect #2824: MySQL Deadlock Error when showing a big re... New 2009-02-24

History

#1 - 2013-04-11 16:30 - Antisthens Antisthens

Not sure if it is related:

when I click the "small" repo, got following output in console :

Started GET "/projects/home/repository" for 127.0.0.1 at 2013-04-11 14:08:52 +0800

Processing by RepositoriesController#show as HTML

  Parameters: {"id"=>"home"}

  Current user: antisthens (id=3)

  Rendered repositories/_navigation.html.erb (15.6ms)

  Rendered repositories/_breadcrumbs.html.erb (1.8ms)

  Rendered repositories/_dir_list_content.html.erb (20.7ms)

  Rendered repositories/_dir_list.html.erb (21.3ms)

  Rendered repositories/_revision_graph.html.erb (2.1ms)

  Rendered repositories/_revisions.html.erb (44.4ms)

  Rendered repositories/show.html.erb within layouts/base (93.6ms)

Completed 200 OK in 248ms (Views: 156.5ms | ActiveRecord: 17.8ms)

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

[2013-04-11 14:08:52] WARN  Could not determine content-length of response body. Set content-length of the res

ponse or set Response#chunked = true

2024-04-09 2/3



 and Ctrl-C to stop redmine:(wait more than 10 minutes . nothing changed).

^C[2013-04-11 14:25:01] INFO  going to shutdown ...

#2 - 2013-04-11 16:49 - Toshi MARUYAMA

- Status changed from New to Closed

See FAQ

#3 - 2013-04-11 16:57 - Toshi MARUYAMA

And see #2824#note-3.
